> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# List trainings

GET https://api.dsx-air.nvidia.com/api/v3/trainings/

List all training events visible to your account.

**Required roles (all):** `air_instructor`, `air_org_admin`

Reference: https://docs.nvidia.com/dsx-air/api-reference/training/api-v-3-trainings-list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `display_name` (string, optional)
- `limit` (integer, optional) — Number of results to return per page.
- `name` (string, optional)
- `ngc_group_id` (string, optional)
- `offset` (integer, optional) — The initial index from which to return the results.
- `ordering` (enum, optional) — Order objects by field. Prefix with `-` for descending order.
  - Allowed values: `-checkpoint_name`, `-created`, `-creator`, `-display_name`, `-event_time`, `-modified`, `-name`, `-ngc_group_id`, `-parent_simulation_name`, `-sim_end_time`, `-sim_start_time`, `-training_simulation_name`, `-training_simulation_state`, `-workbenches_created`, `checkpoint_name`, `created`, `creator`, `display_name`, `event_time`, `modified`, `name`, `ngc_group_id`, `parent_simulation_name`, `sim_end_time`, `sim_start_time`, `training_simulation_name`, `training_simulation_state`, `workbenches_created`
- `search` (string, optional) — Search by `name`, `display_name`, `creator`, `training_simulation_name`, `training_simulation_state`, `event_time`, `sim_start_time`, `sim_end_time`, `checkpoint_name`, `parent_simulation_name`, or `created`.
- `training_simulation` (string, optional)
- `workbenches_created` (boolean, optional)

## Response

### 200

- `count` (integer, required)
- `results` (list of object, required)
  - `id` (string, required)
  - `created` (datetime, required)
  - `modified` (datetime, required)
  - `creator` (string, required) — The email of the client that created the training.
  - `org` (string, required) — The organization associated with this training
  - `training_simulation` (string, required) — The template simulation used to create new simulations for the attendees of the training.
  - `training_simulation_name` (string, required) — The name of the training simulation.
  - `training_simulation_state` (string, required) — The state of the training simulation.
  - `checkpoint_name` (string, required, nullable) — The name of the checkpoint used to create the training simulation.
  - `parent_simulation_name` (string, required, nullable) — The name of the parent simulation that was cloned to create the training simulation. This value is captured at clone time and does not change if the original simulation is later renamed.
  - `event_time` (datetime, required) — When the training event will occur.
  - `name` (string, required) — The name of the training event. This will also be the name of the NGC external user group, and thus must be kebab-case.
  - `display_name` (string, required) — The display name of the training event. This is a more human-readable display name for the training which does not need to match the name of the NGC external user group.
  - `ngc_group_id` (string, required) — The NGC external user group ID associated with this training.
  - `attendee_details` (list of object, required) — Onboarding and access details for each attendee.
    - `email` (string, required) — The attendee email address.
    - `has_onboarded_in_air` (boolean, required) — Whether the attendee already has a DSX Air user account.
    - `action_needed` (string, required, nullable) — Action the instructor needs to take before this attendee can use the training.
  - `sim_start_time` (datetime, required) — When Air should start all attendee simulations for the training.
  - `sim_end_time` (datetime, required) — When Air should stop and destroy all attendee simulations of the training.
  - `attendees` (any, optional) — List of validated attendee email addresses
  - `workbenches_created` (boolean, optional) — Whether the workbenches have been created for this training.
- `next` (string, optional, nullable)
- `previous` (string, optional, nullable)

## Errors

### 400 Bad Request Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `type` (enum, required) — Specific type of a 400 error. * `PROTECTED` - Instance may not be deleted as it is being referenced by other instances. * `VALIDATION` - Validation errors encountered during payload processing.
  - Allowed values: `PROTECTED`, `VALIDATION`
- `protected_instances` (list of object, optional) — Instances which bar the current instance from being deleted. Only defined when `type` is set to `PROTECTED`.
  - `id` (string, required) — ID of the instance.
  - `type` (string, required) — Type of the instance.
- `validation_errors` (map from string to list of object or object or map from string to any or list of object, optional) — Validation errors encountered during payload processing. Only defined when `type` is set to `VALIDATION`.

### 403 Forbidden Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.

### 500 Internal Server Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `code` (string, required) — Error code which identifies the error. Should be provided when opening a support case.
- `detail` (string, optional, default: An unexpected error has occurred. Please contact NVIDIA Air support for further assistance.) — Description of an error.

## Examples

**Response**

```json
{
  "count": 123,
  "results": [
    {
      "id": "string",
      "created": "2024-01-15T09:30:00Z",
      "modified": "2024-01-15T09:30:00Z",
      "creator": "string",
      "org": "string",
      "training_simulation": "string",
      "training_simulation_name": "string",
      "training_simulation_state": "string",
      "checkpoint_name": "string",
      "parent_simulation_name": "string",
      "event_time": "2024-01-15T09:30:00Z",
      "name": "string",
      "display_name": "string",
      "ngc_group_id": "string",
      "attendee_details": [
        {
          "email": "string",
          "has_onboarded_in_air": true,
          "action_needed": "string"
        }
      ],
      "sim_start_time": "2024-01-15T09:30:00Z",
      "sim_end_time": "2024-01-15T09:30:00Z",
      "attendees": null,
      "workbenches_created": true
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/trainings/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/trainings/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/trainings/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/trainings/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.dsx-air.nvidia.com/api/v3/trainings/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.dsx-air.nvidia.com/api/v3/trainings/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/trainings/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/trainings/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```